param anzBrosch > 0; # Anzahl der Broschueren

set MITARB;          # Menge der Mitarbeiter
set BROSCH := {1..anzBrosch}; # Menge der Broschueren

param gewicht{BROSCH} >=0;    # Gewicht der einzelnen Broschueren
param verguet{BROSCH} >=0;     # Verguetung der Broschueren
param maxgew{MITARB} >=0;     # Maximalgewicht, welches jeder Mitarbeiter tragen kann

var xmenge{j in BROSCH,i in MITARB} integer; # Menge an Broschueren jedes Mitarbeiters

# Zielfunktion: maximaler Ertrag = Verguetung*Menge
maximize Ertrag: sum {j in BROSCH, i in MITARB} verguet[j]*xmenge[j,i];

# Gewichtsrestriktion
s.t. MaxGewicht {i in MITARB}: sum{j in BROSCH} gewicht[j]*xmenge[j,i] <= maxgew[i];
